Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.conditions
Class ConditionsTable

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JTable
                      edu.stanford.smi.protege.util.SelectableTable
                          edu.stanford.smi.protegex.owl.ui.owltable.SymbolTable
                              edu.stanford.smi.protegex.owl.ui.owltable.OWLTable
                                  edu.stanford.smi.protegex.owl.ui.conditions.ConditionsTable

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Selectable, ConditionsTableConstants, PropertyConditionsDisplay, TripleSelectable, ImageObserver, MenuContainer, Serializable, EventListener, Accessible, CellEditorListener, ListSelectionListener, TableColumnModelListener, TableModelListener, Scrollable

    public class ConditionsTable

extends OWLTable
implements ConditionsTableConstants, PropertyConditionsDisplay

A JTable used to display a class definition.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JTable
`JTable.AccessibleJTable, JTable.PrintMode`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.owltable.SymbolTable
`editAnnotationsAction, editMultiLineAction, INFINITE_TIME`

Fields inherited from class javax.swing.JTable
`AUTO_RESIZE_ALL_COLUMNS, AUTO_RESIZE_LAST_COLUMN, AUTO_RESIZE_NEXT_COLUMN, AUTO_RESIZE_OFF, AUTO_RESIZE_SUBSEQUENT_COLUMNS, autoCreateColumnsFromModel, autoResizeMode, cellEditor, cellSelectionEnabled, columnModel, dataModel, defaultEditorsByColumnClass, defaultRenderersByColumnClass, editingColumn, editingRow, editorComp, gridColor, preferredViewportSize, rowHeight, rowMargin, rowSelectionAllowed, selectionBackground, selectionForeground, selectionModel, showHorizontalLines, showVerticalLines, tableHeader`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.conditions.ConditionsTableConstants
`COL_COUNT, COL_EXPRESSION, TYPE_DEFINITION_BASE, TYPE_INHERITED, TYPE_SUPERCLASS`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ConditionsTable(OWLModel owlModel, ConditionsTableModel aTableModel)`

Method Summary
`protected void` | `addNavigationMenuItems(RDFResource resource, JPopupMenu menu)`
`void` | `addRestriction(OWLRestriction restriction)`
`int` | `addRow(edu.stanford.smi.protege.model.Cls cls)`
`void` | `createAndEditRow()`
`protected ResourceRenderer` | `createOWLFrameRenderer()`
`protected JPopupMenu` | `createPopupMenu()`
`protected SymbolEditorComponent` | `createSymbolEditorComponent(OWLModel model, SymbolErrorDisplay errorDisplay)`
`protected SymbolTextField` | `createSymbolTextField(OWLModel owlModel, SymbolErrorDisplay errorDisplay)`
`void` | `displayRowsWithProperty(OWLProperty property)`
`void` | `editingStopped(ChangeEvent e)`
`protected void` | `editMultiLine()`
`void` | `ensureEditedClassSelectedInExplorer(OWLClassesTab owlClassesTab)`
`TableCellRenderer` | `getCellRenderer(int row, int column)`
`OWLClassesTab` | `getOWLClsesTab()`
`protected int` | `getPreferredRowHeight(JTable table, SymbolEditorComponent editorComponent)`
`List` | `getPrototypeTriples()` Gets triples with an empty object or subject, indicating the typical values of this.
`protected void` | `hidePropertyWindow()`
`void` | `hideSymbolPanel()`
`protected boolean` | `isTableHeaderHidden()`
`void` | `paint(Graphics g)`
`void` | `selectNecessaryIfNothingSelected()`
`void` | `setSelectedTriples(Collection triples)` Attempts to select given Triples in this.
`void` | `setValueAt(Object aValue, int row, int column)`
`protected void` | `showPropertyWindow()`
`protected void` | `showSymbolPanel(boolean errorFlag)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.owltable.OWLTable
`editMultiLine, enableActions, getEditedCls, getNavigationMenuItems, getOWLTableModel, getSelectedCls, getToolTipText, navigateTo, setCls`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.owltable.SymbolTable
`configureEnclosingScrollPane, editAnnotations, editCellAt, editExpression, enableActions, getClipboard, getDefaultCellEditorIcon, getIcon, getOWLFrameRenderer, getOWLModel, getPreferredSize, getSelectedOWLInstance, getSelectedResource, getSelectedRows, getSelectedTriples, getSymbolCellEditor, getSymbolEditorComponent, getSymbolPanel, getSymbolTableModel, getToolTipText, prepareEditor, prepareRenderer, registerAction, registerAction, registerActionSeparator, setModel, setSelectedRow, setSelectedRow, setSelectedRow`

Methods inherited from class edu.stanford.smi.protege.util.SelectableTable
`addSelectionListener, getSelection, notifySelectionListeners, removeSelectionListener, toString`

Methods inherited from class javax.swing.JTable
`addColumn, addColumnSelectionInterval, addNotify, addRowSelectionInterval, changeSelection, clearSelection, columnAdded, columnAtPoint, columnMarginChanged, columnMoved, columnRemoved, columnSelectionChanged, convertColumnIndexToModel, convertColumnIndexToView, createDefaultColumnModel, createDefaultColumnsFromModel, createDefaultDataModel, createDefaultEditors, createDefaultRenderers, createDefaultSelectionModel, createDefaultTableHeader, createScrollPaneForTable, doLayout, editCellAt, editingCanceled, getAccessibleContext, getAutoCreateColumnsFromModel, getAutoResizeMode, getCellEditor, getCellEditor, getCellRect, getCellSelectionEnabled, getColumn, getColumnClass, getColumnCount, getColumnModel, getColumnName, getColumnSelectionAllowed, getDefaultEditor, getDefaultRenderer, getDragEnabled, getEditingColumn, getEditingRow, getEditorComponent, getGridColor, getIntercellSpacing, getModel, getPreferredScrollableViewportSize, getPrintable, getRowCount, getRowHeight, getRowHeight, getRowMargin, getRowSelectionAllowed, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getSelectedColumn, getSelectedColumnCount, getSelectedColumns, getSelectedRow, getSelectedRowCount, getSelectionBackground, getSelectionForeground, getSelectionModel, getShowHorizontalLines, getShowVerticalLines, getSurrendersFocusOnKeystroke, getTableHeader, getUI, getUIClassID, getValueAt, initializeLocalVars, isCellEditable, isCellSelected, isColumnSelected, isEditing, isRowSelected, moveColumn, paramString, print, print, print, print, processKeyBinding, removeColumn, removeColumnSelectionInterval, removeEditor, removeNotify, removeRowSelectionInterval, resizeAndRepaint, rowAtPoint, selectAll, setAutoCreateColumnsFromModel, setAutoResizeMode, setCellEditor, setCellSelectionEnabled, setColumnModel, setColumnSelectionAllowed, setColumnSelectionInterval, setDefaultEditor, setDefaultRenderer, setDragEnabled, setEditingColumn, setEditingRow, setGridColor, setIntercellSpacing, setPreferredScrollableViewportSize, setRowHeight, setRowHeight, setRowMargin, setRowSelectionAllowed, setRowSelectionInterval, setSelectionBackground, setSelectionForeground, setSelectionMode, setSelectionModel, setShowGrid, setShowHorizontalLines, setShowVerticalLines, setSurrendersFocusOnKeystroke, setTableHeader, setUI, sizeColumnsToFit, sizeColumnsToFit, tableChanged, unconfigureEnclosingScrollPane, updateUI, valueChanged`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, getSelection, notifySelectionListeners, removeSelectionListener`

Constructor Detail

### ConditionsTable

    public ConditionsTable(OWLModel owlModel,
                           ConditionsTableModel aTableModel)

Method Detail

### addNavigationMenuItems

    protected void addNavigationMenuItems(RDFResource resource,
                                          JPopupMenu menu)

  Overrides:
    `addNavigationMenuItems` in class `SymbolTable`

### addRestriction

    public void addRestriction(OWLRestriction restriction)

### addRow

    public int addRow(edu.stanford.smi.protege.model.Cls cls)

### showSymbolPanel

    protected void showSymbolPanel(boolean errorFlag)

  Overrides:
    `showSymbolPanel` in class `SymbolTable`

### showPropertyWindow

    protected void showPropertyWindow()

### hidePropertyWindow

    protected void hidePropertyWindow()

### createAndEditRow

    public void createAndEditRow()

### createOWLFrameRenderer

    protected ResourceRenderer createOWLFrameRenderer()

  Overrides:
    `createOWLFrameRenderer` in class `OWLTable`

### getPreferredRowHeight

    protected int getPreferredRowHeight(JTable table,
                                        SymbolEditorComponent editorComponent)

  Overrides:
    `getPreferredRowHeight` in class `SymbolTable`

### createPopupMenu

    protected JPopupMenu createPopupMenu()

  Overrides:
    `createPopupMenu` in class `SymbolTable`

### createSymbolTextField

    protected SymbolTextField createSymbolTextField(OWLModel owlModel,
                                                    SymbolErrorDisplay errorDisplay)

### createSymbolEditorComponent

    protected SymbolEditorComponent createSymbolEditorComponent(OWLModel model,
                                                                SymbolErrorDisplay errorDisplay)

  Specified by:
    `createSymbolEditorComponent` in class `SymbolTable`

### displayRowsWithProperty

    public void displayRowsWithProperty(OWLProperty property)

  Specified by:
    `displayRowsWithProperty` in interface `PropertyConditionsDisplay`

### editingStopped

    public void editingStopped(ChangeEvent e)

  Specified by:
    `editingStopped` in interface `CellEditorListener`
  Overrides:
    `editingStopped` in class `JTable`

### editMultiLine

    protected void editMultiLine()

  Overrides:
    `editMultiLine` in class `SymbolTable`

### ensureEditedClassSelectedInExplorer

    public void ensureEditedClassSelectedInExplorer(OWLClassesTab owlClassesTab)

### getCellRenderer

    public TableCellRenderer getCellRenderer(int row,
                                             int column)

  Overrides:
    `getCellRenderer` in class `JTable`

### getOWLClsesTab

    public OWLClassesTab getOWLClsesTab()

### getPrototypeTriples

    public List getPrototypeTriples()

  Description copied from interface: `TripleSelectable`
  Gets triples with an empty object or subject, indicating the typical values of this. For example, if this component displays the rdfs:comment of the resource Person, then the result would be the Triple (Person, rdfs:comment, null).

  Specified by:
    `getPrototypeTriples` in interface `TripleSelectable`
  Overrides:
    `getPrototypeTriples` in class `SymbolTable`
  Returns:
    a List of Triples

### hideSymbolPanel

    public void hideSymbolPanel()

  Overrides:
    `hideSymbolPanel` in class `SymbolTable`

### isTableHeaderHidden

    protected boolean isTableHeaderHidden()

  Overrides:
    `isTableHeaderHidden` in class `SymbolTable`

### paint

    public void paint(Graphics g)

  Overrides:
    `paint` in class `JComponent`

### selectNecessaryIfNothingSelected

    public void selectNecessaryIfNothingSelected()

### setSelectedTriples

    public void setSelectedTriples(Collection triples)

  Description copied from interface: `TripleSelectable`
  Attempts to select given Triples in this. The method may just do nothing if none of the triple is not shown.

  Specified by:
    `setSelectedTriples` in interface `TripleSelectable`
  Overrides:
    `setSelectedTriples` in class `SymbolTable`
  Parameters:
    `triples` - the Triples to show

### setValueAt

    public void setValueAt(Object aValue,
                           int row,
                           int column)

  Overrides:
    `setValueAt` in class `OWLTable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.